apiVersion: apps/v1
kind: Deployment
metadata:
  name: outline
  namespace: outline-wiki
  labels:
    app: outline
spec:
  replicas: 3
  selector:
    matchLabels:
      app: outline
  template:
    metadata:
      labels:
        app: outline
    spec:
      containers:
        - name: outline
          image: outlinewiki/outline:0.82.0
          ports:
            - containerPort: 8089
          envFrom:
            - secretRef:
                name: outline-secrets
          env:
            - name: PORT
              value: "8089"

          readinessProbe:
            httpGet:
              path: /
              port: 8089
            initialDelaySeconds: 20
            periodSeconds: 5
            failureThreshold: 6

          livenessProbe:
            httpGet:
              path: /
              port: 8089
            initialDelaySeconds: 60
            periodSeconds: 10
            failureThreshold: 5
